#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0xca131a6d, "inet_diag_unregister" },
	{ 0xf3ecba61, "inet_diag_register" },
	{ 0xe3f7a49c, "sock_diag_destroy" },
	{ 0x3bec5151, "kfree_skb" },
	{ 0x53a311f5, "__udp6_lib_lookup" },
	{ 0xa7343a60, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x539c8e4c, "netlink_unicast" },
	{ 0xb9e5d427, "__alloc_skb" },
	{ 0x1cfaf34, "sock_diag_check_cookie" },
	{ 0xf42a2c12, "__udp4_lib_lookup" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x95a67b07, "udp_table" },
	{ 0xd4d1983c, "udplite_table" },
	{ 0xbc8119c5, "inet_sk_diag_fill" },
	{ 0xf2de1a0d, "inet_diag_bc_sk" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0x3aa142a1, "netlink_net_capable" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "inet_diag");


MODULE_INFO(srcversion, "CBCB2C4EEA3B4E509A5A91C");
